This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 986310 - Random failure of testDomainSecurityAnnotation
Random failure of testDomainSecurityAnnotation
Status: ASSIGNED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering (Show other bugs)
6.1.1,6.2.0,6.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: EAP 6.4.0
Assigned To: Paul Ferraro
Michal Vinkler
Clustering testsuite
:
Depends On:
Blocks: 996500 1090134
  Show dependency treegraph
 
Reported: 2013-07-19 07:41 EDT by Richard Janík
Modified: 2017-10-09 20:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1090134 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Stacktrace (23.12 KB, text/plain)
2013-07-19 07:41 EDT, Richard Janík
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBQA-9000 Critical Open Intermittent failure of FailoverWithSecurityTestCase(SYNC-tcp).testDomainSecurityAnnotation 2016-09-23 11:14 EDT

  None (edit)
Description Richard Janík 2013-07-19 07:41:00 EDT
Created attachment 775764 [details]
Stacktrace

Description of problem:

EAP 6.1.1.ER3

Test org.jboss.as.test.clustering.cluster.ejb3.security.FailoverWithSecurityTestCase(SYNC-tcp).testDomainSecurityAnnotation randomly fails.

Stacktrace is long, can be found here: https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-JGroups/job/eap-6x-jgroups-tcpgossip-rhel-matrix/52/jdk=ibm17,label=RHEL6_x86/testReport/org.jboss.as.test.clustering.cluster.ejb3.security/FailoverWithSecurityTestCase%28SYNC-tcp%29/testDomainSecurityAnnotation/
Comment 3 Paul Ferraro 2013-08-29 15:25:52 EDT
We will plan to port the upstream fix for this test for 6.2.
Comment 4 Richard Janík 2013-09-19 05:00:12 EDT
Update: present in 6.2.0.ER1 as well.
Comment 5 Paul Ferraro 2013-09-19 13:10:55 EDT
The addition of the GlobalComponentRegistryService should improve the reliability of this test.  Please retest against EAP 6.2.0.ER2.
Comment 7 Richard Janík 2013-10-01 02:42:32 EDT
CacheInvalidationTestCase.testCacheInvalidation also sometimes fails with EJBCLIENT000025: No EJB receiver available for handling, so this is not a one test failure, but an error in the test setup process among several ejb tests.

https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-6x-jgroups-tcpgossip-rhel-matrix/65/jdk=java17_default,label=RHEL6_x86/testReport/org.jboss.as.test.clustering.cluster.ejb2.invalidation/CacheInvalidationTestCase%28ASYNC-udp%29/testCacheInvalidation/
Comment 11 Paul Ferraro 2013-10-16 08:52:18 EDT
This is no longer addressable in the time remaining for release.

Note You need to log in before you can comment on or make changes to this bug.